You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 

75 lines
2.3 KiB

{
"name": "notes",
"homepage": "https://github.com/nextcloud/notes",
"license": "agpl",
"private": true,
"scripts": {
"build": "NODE_ENV=production webpack --config webpack.js",
"dev": "NODE_ENV=development webpack --config webpack.js",
"watch": "NODE_ENV=development webpack --progress --watch --config webpack.js",
"lint": "eslint --ext .js,.vue src",
"lint:fix": "eslint --ext .js,.vue src --fix",
"stylelint": "stylelint 'src/**/*.vue' 'css/**/*.scss'",
"stylelint:fix": "stylelint 'src/**/*.vue' 'css/**/*.scss' --fix"
},
"dependencies": {
"@nextcloud/axios": "^1.6.0",
"@nextcloud/dialogs": "^3.1.2",
"@nextcloud/event-bus": "^1.2.0",
"@nextcloud/moment": "^1.1.1",
"@nextcloud/router": "^1.2.0",
"@nextcloud/vue": "^3.8.0",
"@nextcloud/vue-dashboard": "^2.0.0",
"@nextcloud/webpack-vue-config": "^4.0.1",
"diff": "^5.0.0",
"easymde": "^2.14.0",
"markdown-it": "^12.0.4",
"stylelint-webpack-plugin": "^2.1.1",
"vue": "^2.6.12",
"vue-fragment": "1.5.1",
"vue-material-design-icons": "^4.11.0",
"vue-observe-visibility": "^1.0.0",
"vue-router": "^3.5.1",
"vuex": "^3.6.2"
},
"browserslist": [
"extends @nextcloud/browserslist-config"
],
"engines": {
"node": ">=10.0.0"
},
"devDependencies": {
"@babel/core": "^7.13.14",
"@babel/eslint-parser": "^7.13.14",
"@babel/plugin-syntax-dynamic-import": "^7.8.3",
"@babel/preset-env": "^7.13.12",
"@nextcloud/browserslist-config": "^2.1.0",
"@nextcloud/eslint-config": "^5.0.0",
"@nextcloud/eslint-plugin": "^2.0.0",
"babel-loader": "^8.2.2",
"core-js": "^3.10.0",
"css-loader": "^4.3.0",
"eslint": "^7.23.0",
"eslint-config-standard": "^16.0.2",
"eslint-plugin-import": "^2.22.1",
"eslint-plugin-node": "^11.1.0",
"eslint-plugin-promise": "^4.3.1",
"eslint-plugin-standard": "^4.1.0",
"eslint-plugin-vue": "^7.8.0",
"eslint-webpack-plugin": "^2.5.3",
"file-loader": "^6.2.0",
"node-polyfill-webpack-plugin": "^1.1.0",
"sass": "^1.32.8",
"sass-loader": "^10.1.1",
"style-loader": "^2.0.0",
"stylelint": "^13.12.0",
"stylelint-config-recommended-scss": "^4.2.0",
"stylelint-scss": "^3.19.0",
"url-loader": "^4.1.1",
"vue-loader": "^15.9.6",
"vue-template-compiler": "^2.6.12",
"webpack": "^5.28.0",
"webpack-cli": "^4.6.0",
"webpack-merge": "^5.7.3"
}
}